Subject: Re: struct pci_device_id declaration cleanups

From: Jonas Bonn <[email-masked]>
Date: Thu, 06 Mar 2008 13:36:49 +0100

Christoph Hellwig wrote:
> On Thu, Mar 06, 2008 at 11:55:38AM +0100, Jonas Bonn wrote:
>> This set of patches applies the macro DECLARE_PCI_DEVICE_TABLE to the 
>> declarations of struct pci_device_id in several network drivers.  The drivers
>> build cleanly with these patches (without any new warnings) on both x86 and 
>> PowerPC.
> 
> Why would we want this macro?  It looks slightly ugly at least..
> 
> 

Basically because the alternative would be along the lines of:

static const struct pci_device_id fst_pci_dev_id[] __devinitconst = {

...and this was deemed to be even uglier when I first brought this up a 
while back.

/Jonas